<?php

namespace Controller;

use Model\ModelAdmin;

class ControllerAdmin
{
    public function addQuestion(): void
    {
        $idQuestion = (new ModelAdmin())->addQuestion();

        if($idQuestion != -1)
            $_POST['idQuestion'] = $idQuestion;
        else
            $_POST['idQuestion'] = null;
    }

    public function chooseQuestionAndType(): void
    {
        global $rep, $views;

        $categories = (new ModelAdmin())->getCategories();
        $questionContent = $_POST['question'];
        $type = $_POST['type'];

        require_once($rep.$views['possibleResponsesForm']);
    }

    public function createForm(): void
    {
        (new ModelAdmin())->createForm();
    }

    public function goToAdminPage(): void
    {
        global $rep, $views;

        $categories = (new ModelAdmin())->getCategories();
        $questions = (new ModelAdmin())->getQuestions();

        require_once($rep.$views['admin']);
    }

    public function addKeyword(): void
    {
        (new ModelAdmin())->addKeyword();
    }
}
